<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="ebay.hibernate.DbSell" table="DB_SELL">
        <id name="sid" type="java.lang.String">
            <column name="SID" length="50" />
            <generator class="assigned" />
        </id>
        <property name="corpid" type="java.lang.String">
            <column name="CORPID" length="50" />
        </property>
        <property name="orderid" type="java.lang.String">
            <column name="ORDERID" length="50" not-null="true" />
        </property>
        <property name="productid" type="java.lang.String">
            <column name="PRODUCTID" length="50" not-null="true" />
        </property>
        <property name="productname" type="java.lang.String">
            <column name="PRODUCTNAME" length="500" />
        </property>
        <property name="ordernum" type="java.lang.Long">
            <column name="ORDERNUM" precision="5" scale="0" not-null="true" />
        </property>
        <property name="costprice" type="java.lang.Double">
            <column name="COSTPRICE" precision="12" scale="4" not-null="true" />
        </property>
        <property name="sellprice" type="java.lang.Double">
            <column name="SELLPRICE" precision="12" scale="4" not-null="true" />
        </property>
        <property name="amount" type="java.lang.Double">
            <column name="AMOUNT" precision="12" scale="4" not-null="true" />
        </property>
        <property name="customerid" type="java.lang.String">
            <column name="CUSTOMERID" length="100" />
        </property>
        <property name="ordertime" type="java.util.Date">
            <column name="ORDERTIME" length="7" />
        </property>
        <property name="storageid" type="java.lang.String">
            <column name="STORAGEID" length="100" />
        </property>
        <property name="storage" type="java.lang.String">
            <column name="STORAGE" length="100" />
        </property>
        <property name="locationid" type="java.lang.String">
            <column name="LOCATIONID" length="100" />
        </property>
        <property name="location" type="java.lang.String">
            <column name="LOCATION" length="100" />
        </property>
        <property name="alertflag" type="java.lang.String">
            <column name="ALERTFLAG" length="100" />
        </property>
        <property name="shoptype" type="java.lang.String">
            <column name="SHOPTYPE" length="100" />
        </property>
        <property name="updateflag" type="java.lang.String">
            <column name="UPDATEFLAG" length="100" />
        </property>
        <property name="oper" type="java.lang.String">
            <column name="OPER" length="100" />
        </property>
        <property name="opertime" type="java.util.Date">
            <column name="OPERTIME" length="7" />
        </property>
        <property name="flag" type="java.lang.String">
            <column name="FLAG" length="100" />
        </property>
        <property name="descr1" type="java.lang.String">
            <column name="DESCR1" length="2000" />
        </property>
        <property name="descr2" type="java.lang.String">
            <column name="DESCR2" length="2000" />
        </property>
        <property name="descr3" type="java.lang.String">
            <column name="DESCR3" length="2000" />
        </property>
        <property name="reserve1" type="java.lang.String">
            <column name="RESERVE1" length="100" />
        </property>
        <property name="reserve2" type="java.lang.String">
            <column name="RESERVE2" length="100" />
        </property>
        <property name="reserve3" type="java.lang.String">
            <column name="RESERVE3" length="100" />
        </property>
        <property name="reserve4" type="java.lang.String">
            <column name="RESERVE4" length="1000" />
        </property>
        <property name="reserve5" type="java.lang.String">
            <column name="RESERVE5" length="1000" />
        </property>
        <property name="reserve6" type="java.lang.String">
            <column name="RESERVE6" length="100" />
        </property>
        <property name="reserve7" type="java.lang.String">
            <column name="RESERVE7" length="100" />
        </property>
        <property name="reserve8" type="java.lang.String">
            <column name="RESERVE8" length="100" />
        </property>
        <property name="reserve9" type="java.lang.String">
            <column name="RESERVE9" length="100" />
        </property>
        <property name="reserve10" type="java.lang.String">
            <column name="RESERVE10" length="100" />
        </property>
        <property name="productsavenum" type="java.lang.Long">
            <column name="PRODUCTSAVENUM" precision="6" scale="0" />
        </property>
        <property name="productordernum" type="java.lang.Long">
            <column name="PRODUCTORDERNUM" precision="6" scale="0" />
        </property>
        <property name="productalertnum" type="java.lang.Long">
            <column name="PRODUCTALERTNUM" precision="6" scale="0" />
        </property>
        <property name="productpic1" type="java.lang.String">
            <column name="PRODUCTPIC1" length="100" />
        </property>
        <property name="tradeid" type="java.lang.String">
            <column name="TRADEID" length="100" />
        </property>
        <property name="transactionid" type="java.lang.String">
            <column name="TRANSACTIONID" length="100" />
        </property>
        <property name="originsellprice" type="java.lang.Double">
            <column name="ORIGINSELLPRICE" precision="12" scale="4" />
        </property>
        <property name="moneytype" type="java.lang.String">
            <column name="MONEYTYPE" length="100" />
        </property>
        <property name="groupid" type="java.lang.String">
            <column name="GROUPID" length="100" />
        </property>
        <property name="weight" type="java.lang.Double">
            <column name="WEIGHT" precision="10" />
        </property>
        <property name="weightamount" type="java.lang.Double">
            <column name="WEIGHTAMOUNT" precision="10" />
        </property>
        <property name="packagingid" type="java.lang.String">
            <column name="PACKAGINGID" length="100" />
        </property>
        <property name="packagingname" type="java.lang.String">
            <column name="PACKAGINGNAME" length="100" />
        </property>
        <property name="packagingweight" type="java.lang.Double">
            <column name="PACKAGINGWEIGHT" precision="8" />
        </property>
        <property name="packagingclass" type="java.lang.String">
            <column name="PACKAGINGCLASS" length="400" />
        </property>
        <property name="shoptypeid" type="java.lang.String">
            <column name="SHOPTYPEID" length="100" />
        </property>
        <property name="ebayitemid" type="java.lang.String">
            <column name="EBAYITEMID" length="100" />
        </property>
        <property name="finalvaluefee" type="java.lang.Double">
            <column name="FINALVALUEFEE" precision="10" scale="4" />
        </property>
        <property name="feedback" type="java.lang.String">
            <column name="FEEDBACK" length="10" />
        </property>
        <property name="oper1" type="java.lang.String">
            <column name="OPER1" length="50" />
        </property>
        <property name="oper2" type="java.lang.String">
            <column name="OPER2" length="50" />
        </property>
        <property name="englishname" type="java.lang.String">
            <column name="ENGLISHNAME" length="1000" />
        </property>
        <property name="originordermoney" type="java.lang.Double">
            <column name="ORIGINORDERMONEY" precision="12" scale="4" />
        </property>
        <property name="originexpressmoney" type="java.lang.Double">
            <column name="ORIGINEXPRESSMONEY" precision="12" scale="4" />
        </property>
        <property name="origininsurance" type="java.lang.Double">
            <column name="ORIGININSURANCE" precision="12" scale="4" />
        </property>
        <property name="originfinalvaluefee" type="java.lang.Double">
            <column name="ORIGINFINALVALUEFEE" precision="12" scale="4" />
        </property>
        <property name="xbtime1" type="java.util.Date">
            <column name="XBTIME1" length="7" />
        </property>
        <property name="xbtime2" type="java.util.Date">
            <column name="XBTIME2" length="7" />
        </property>
        <property name="xbtime3" type="java.util.Date">
            <column name="XBTIME3" length="7" />
        </property>
        <property name="orderexpressask" type="java.lang.Double">
            <column name="ORDEREXPRESSASK" precision="10" scale="4" />
        </property>
        <property name="orderexpressaction" type="java.lang.Double">
            <column name="ORDEREXPRESSACTION" precision="10" scale="4" />
        </property>
        <property name="totalpaypalfee" type="java.lang.Double">
            <column name="TOTALPAYPALFEE" precision="10" scale="4" />
        </property>
        <property name="moneyexpressask" type="java.lang.Double">
            <column name="MONEYEXPRESSASK" precision="10" scale="4" />
        </property>
        <property name="moneyexpressaction" type="java.lang.Double">
            <column name="MONEYEXPRESSACTION" precision="10" scale="4" />
        </property>
        <property name="totalweight" type="java.lang.Double">
            <column name="TOTALWEIGHT" precision="8" />
        </property>
        <property name="weightflag" type="java.lang.String">
            <column name="WEIGHTFLAG" length="10" />
        </property>
        <property name="paypalflag" type="java.lang.String">
            <column name="PAYPALFLAG" length="10" />
        </property>
        <property name="totalmoney" type="java.lang.Double">
            <column name="TOTALMONEY" precision="10" scale="4" />
        </property>
        <property name="moneyrate" type="java.lang.Double">
            <column name="MONEYRATE" precision="8" scale="6" />
        </property>
        <property name="paypalfee" type="java.lang.Double">
            <column name="PAYPALFEE" precision="8" scale="4" />
        </property>
        <property name="weightrate" type="java.lang.Double">
            <column name="WEIGHTRATE" precision="8" scale="6" />
        </property>
        <property name="packagingfee" type="java.lang.Double">
            <column name="PACKAGINGFEE" precision="8" scale="4" />
        </property>
        <property name="splitpackagingfee" type="java.lang.Double">
            <column name="SPLITPACKAGINGFEE" precision="8" scale="4" />
        </property>
        <property name="selloper" type="java.lang.String">
            <column name="SELLOPER" length="100" />
        </property>
        <property name="originsku" type="java.lang.String">
            <column name="ORIGINSKU" length="50" />
        </property>
    </class>
</hibernate-mapping>
